extends Control

@onready var player_health_bar: ProgressBar = $MarginContainer/HBoxContainer/HealthBar
@onready var enemy_health_bar: ProgressBar = $MarginContainer/HBoxContainer/EnemyBar

func initialize(player_max_health: int, enemy_max_health: int):
	player_health_bar.max_value = player_max_health
	enemy_health_bar.max_value = enemy_max_health
	
func set_player_health(value: int):
	player_health_bar.value = value

func set_enemy_health(value: int):
	enemy_health_bar.value = value

func _on_player_got_hurt(new_health: int):
	set_player_health(new_health)

func _on_enemy_got_hurt(new_health: int):
	set_enemy_health(new_health)
